bookmarks expansion broken when all items are put on a single toolbar



When I arrange toolbar like
[BacK Foward][Reload][Stop][Home][ URL ][ Bookmarks Toolbar ]
And Open SSL site in new forground tab and close the tab.
Bookmarks toolbaritems are remained hidden.




Start Namoroka
Customize toolbar
[BacKFoward][Reload][Stop][Home][ URL ][ BookmarksToolbar ]
Narrow the width of the browser to the limit where cheveron is not displayed
You can confirm that there are  bookmark toolbaritems."
Open  in new forground tab.
Close the tab


Bookmarks toolbaritems are remained hidden.


Bookmarks toolbaritems should be displayed again
